> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# Update promo rule

PATCH https://api.mailchimp.com/3.0/ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}
Content-Type: application/json

Update a promo rule.

Reference: https://mailchimp.com/developer/marketing/api/ecommerce/update-store-promo-rule

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `store_id` (string, required) — The store id.
- `promo_rule_id` (string, required) — The id for the promo rule of a store.

### Body (application/json)

This endpoint expects an object.

- `amount` (30EcommerceStoresStoreIdPromoRulesPromoRuleIdPatchRequestBodyContentApplicationJsonSchemaAmount, optional)
- `created_at_foreign` (string, optional) — The date and time the promotion was created in ISO 8601 format.
- `description` (string, optional) — The description of a promotion restricted to UTF-8 characters with max length 255.
- `enabled` (boolean, optional) — Whether the promo rule is currently enabled.
- `ends_at` (30EcommerceStoresStoreIdPromoRulesPromoRuleIdPatchRequestBodyContentApplicationJsonSchemaEndsAt, optional)
- `id` (string, optional) — A unique identifier for the promo rule. If Ecommerce platform does not support promo rule, use promo code id as promo rule id. Restricted to UTF-8 characters with max length 50.
- `starts_at` (30EcommerceStoresStoreIdPromoRulesPromoRuleIdPatchRequestBodyContentApplicationJsonSchemaStartsAt, optional)
- `target` (enum, optional) — The target that the discount applies to.
  - Allowed values: `per_item`, `total`, `shipping`
- `title` (string, optional) — The title that will show up in promotion campaign. Restricted to UTF-8 characters with max length of 100 bytes.
- `type` (enum, optional) — Type of discount. For free shipping set type to fixed.
  - Allowed values: `fixed`, `percentage`
- `updated_at_foreign` (string, optional) — The date and time the promotion was updated in ISO 8601 format.

## Response

### 200

- `_links` (list of ECommercePromoRuleLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `amount` (float, optional) — The amount of the promo code discount. If 'type' is 'fixed', the amount is treated as a monetary value. If 'type' is 'percentage', amount must be a decimal value between 0.0 and 1.0, inclusive.
- `created_at_foreign` (datetime, optional) — The date and time the promotion was created in ISO 8601 format.
- `description` (string, optional) — The description of a promotion restricted to UTF-8 characters with max length 255.
- `enabled` (boolean, optional) — Whether the promo rule is currently enabled.
- `ends_at` (string, optional) — The date and time when the promotion ends. Must be after starts_at and in ISO 8601 format.
- `id` (string, optional) — A unique identifier for the promo rule. If Ecommerce platform does not support promo rule, use promo code id as promo rule id. Restricted to UTF-8 characters with max length 50.
- `starts_at` (datetime, optional) — The date and time when the promotion is in effect in ISO 8601 format.
- `target` (enum, optional) — The target that the discount applies to.
  - Allowed values: `per_item`, `total`, `shipping`
- `title` (string, optional) — The title that will show up in promotion campaign. Restricted to UTF-8 characters with max length of 100 bytes.
- `type` (enum, optional) — Type of discount. For free shipping set type to fixed.
  - Allowed values: `fixed`, `percentage`
- `updated_at_foreign` (datetime, optional) — The date and time the promotion was updated in ISO 8601 format.

## Types

### 30EcommerceStoresStoreIdPromoRulesPromoRuleIdPatchRequestBodyContentApplicationJsonSchemaAmount

### 30EcommerceStoresStoreIdPromoRulesPromoRuleIdPatchRequestBodyContentApplicationJsonSchemaEndsAt

### 30EcommerceStoresStoreIdPromoRulesPromoRuleIdPatchRequestBodyContentApplicationJsonSchemaStartsAt

### ECommercePromoRuleLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "_links": [
    {
      "href": "string",
      "method": "GET",
      "rel": "string",
      "schema": "string",
      "targetSchema": "string"
    }
  ],
  "amount": 0.5,
  "created_at_foreign": "2024-01-15T09:30:00Z",
  "description": "Save BIG during our summer sale!",
  "enabled": "true",
  "ends_at": "string",
  "id": "string",
  "starts_at": "2024-01-15T09:30:00Z",
  "target": "per_item",
  "title": "50% off Total Order",
  "type": "fixed",
  "updated_at_foreign": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```